apiVersion: v1
kind: ConfigMap
metadata:
  name: codimd-environment
data:
  CMD_ALLOW_ANONYMOUS: "false"
  CMD_DOMAIN: {{ .Values.baseDomain | quote }}
  CMD_PROTOCOL_USESSL: "true"
  CMD_USECDN: "false"
  CMD_URL_ADDPORT: "false"
  CMD_ALLOW_GRAVATAR: "true"
  CMD_ALLOW_FREEURL: "false"
  CMD_ALLOW_ANONYMOUS_EDITS: "false"
  CMD_ALLOW_ANONYMOUS_VIEWS: "true"
  CMD_DEFAULT_PERMISSION: "limited"
  CMD_ALLOW_PDF_EXPORT: "true"
  CMD_HSTS_ENABLE: "true"
  CMD_EMAIL: "false"
  CMD_OAUTH2_TOKEN_URL: "https://auth.cern.ch/auth/realms/cern/protocol/openid-connect/token"
  CMD_OAUTH2_AUTHORIZATION_URL: "https://auth.cern.ch/auth/realms/cern/protocol/openid-connect/auth"
  CMD_OAUTH2_USER_PROFILE_URL: "https://auth.cern.ch/auth/realms/cern/protocol/openid-connect/userinfo"
  CMD_OAUTH2_SCOPE: "email"
  CMD_OAUTH2_USER_PROFILE_USERNAME_ATTR: "cern_upn"
  CMD_OAUTH2_USER_PROFILE_DISPLAY_NAME_ATTR: "name"
  CMD_CONFIG_FILE: {{ .Values.configFile | quote }}

---

apiVersion: v1
kind: ConfigMap
metadata:
  name: config-cern-json
data:
  {{ .Values.configFile }}: |
    {
      "production": {
        "documentMaxLength": 200000,
        "csp": {
          "enable": "true",
          "directives": {
            "imgSrc": ["*", "data:"],
            "styleSrc": [
              "'self'",
              "'unsafe-inline'",
              "https://assets-cdn.github.com",
              "https://cdnjs.cloudflare.com",
              "https://fonts.googleapis.com",
              "https://*.disquscdn.com",
              "https://framework.web.cern.ch"
            ],
            "fontSrc": [
              "'self'",
              "https://public.slidesharecdn.com",
              "https://cdnjs.cloudflare.com",
              "https://fonts.gstatic.com",
              "https://*.disquscdn.com",
              "https://framework.web.cern.ch"
            ]
          }
        }
      }
    }
